Calendar
Extend an automatic calendar with subjects or keywords
Items are scheduled in request order on the first free future slots. An item whose text already occupies a calendar slot (any status, case-insensitive) or repeats an earlier item of the request is skipped with reason duplicate; any other item left unplaced, including a keyword whose article is already published, is skipped with reason not_scheduled.
POST
/
profiles
/
{profile_id}
/
calendar
/
keywords
Error
A valid request URL is required to generate request examples{
"data": {
"selection": {
"accepted_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"skipped": [
{
"keyword": "<string>",
"reason": "<string>",
"keyword_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"receipt": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {
"request_id": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Scopes
Headers
Path Parameters
Body
application/json
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"selection": {
"accepted_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"skipped": [
{
"keyword": "<string>",
"reason": "<string>",
"keyword_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"receipt": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {
"request_id": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
